| Tilt Five NDK |

Public Member Functions
tiltfive::BadResultAccess Class Reference

Throw when attempting to access a bad result. More...

`#include <result.hpp>`

Inheritance diagram for tiltfive::BadResultAccess:
[legend]
Collaboration diagram for tiltfive::BadResultAccess:
[legend]

## Public Member Functions
| BadResultAccess (const char *what)
Public Member Functions inherited from std::logic_error
| logic_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const noexcept
virtual const char * | what () const noexcept

## Detailed Description

Throw when attempting to access a bad result.

Definition at line 28 of file result.hpp.

## Constructor & Destructor Documentation

## ◆ BadResultAccess() [1/2]

tiltfive::BadResultAccess::BadResultAccess | ( |  | ) |
| inline

Definition at line 30 of file result.hpp.

## ◆ BadResultAccess() [2/2]

tiltfive::BadResultAccess::BadResultAccess | ( | const char * | what | ) |
| inline explicit

Definition at line 31 of file result.hpp.

The documentation for this class was generated from the following file:

- result.hpp